Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002745GameMaker: Studio[All Projects] Functionspublic2012-04-17 23:422013-03-05 15:38
Reporteralexandervrs 
Assigned ToChris Harrison 
PriorityMediumSeverityC - GeneralReproducibility100%
StatusclosedResolutionwon't fix 
PlatformOSOS Version
Summary0002745: room_current to get current room ID and room_count to get total number of rooms in the game
DescriptionI found that using "room" equals to "current room id" but it should be more apparent. I would like to suggest a variable alias room_current for this.

I needed to iterate the rooms in order to change their view size with a "for" loop but there wasn't any way to get the total amount of rooms in the game. I would like a room_count function to return the total number of rooms in the game.
GM Version
Attached Files

- Relationships

-  Notes
(0001084)
L (reporter)
2012-04-18 12:28

It's very easy to iterate through rooms if you just use a while loop.

r = room_first;
while(r != room_last) {
  r = room_next(r);
}
(0001775)
Chris Harrison (developer)
2012-05-09 11:05

The next iteration of GM should address these concerns.

For now you can work with room, room_first, room_last and room_exists() to achieve the required functionality.

- Issue History
Date Modified Username Field Change
2012-04-17 23:42 alexandervrs New Issue
2012-04-18 10:51 Russell Kay Assigned To => Mike Dailly
2012-04-18 10:51 Russell Kay Status new => assigned
2012-04-18 12:28 L Note Added: 0001084
2012-05-04 15:08 Mike Dailly Assigned To Mike Dailly => Chris Harrison
2012-05-09 11:05 Chris Harrison Note Added: 0001775
2012-05-09 11:05 Chris Harrison Status assigned => resolved
2012-05-09 11:05 Chris Harrison Resolution open => won't fix
2013-03-05 15:38 Ross Manthorp Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker